Package com.oracle.nosql.spring.data.repository.config

# Class ReactiveNosqlRepositoryConfigurationExtension

java.lang.Object
org.springframework.data.repository.config.RepositoryConfigurationExtensionSupport
com.oracle.nosql.spring.data.repository.config.ReactiveNosqlRepositoryConfigurationExtension

All Implemented Interfaces:
  `org.springframework.data.repository.config.RepositoryConfigurationExtension`

public class ReactiveNosqlRepositoryConfigurationExtension extends org.springframework.data.repository.config.RepositoryConfigurationExtensionSupport

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReactiveNosqlRepositoryConfigurationExtension()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Collection<Class<? extends Annotation>>`
  `getIdentifyingAnnotations()`
  `protected Collection<Class<?>>`
  `getIdentifyingTypes()`
  `String`
  `getModuleName()`
  `String`
  `getModulePrefix()`
  `String`
  `getRepositoryFactoryBeanClassName()`
  `void`
  `postProcess(org.springframework.beans.factory.support.BeanDefinitionBuilder builder, org.springframework.data.repository.config.RepositoryConfigurationSource source)`
  `void`
  `registerBeansForRoot(org.springframework.beans.factory.support.BeanDefinitionRegistry registry, org.springframework.data.repository.config.RepositoryConfigurationSource config)`
  `protected boolean`
  `useRepositoryConfiguration(org.springframework.data.repository.core.RepositoryMetadata metadata)`

  ### Methods inherited from class org.springframework.data.repository.config.RepositoryConfigurationExtensionSupport

  `getConfigurationInspectionClassLoader, getDefaultNamedQueryLocation, getRepositoryConfiguration, getRepositoryConfigurations, getRepositoryConfigurations, hasBean, isStrictRepositoryCandidate, postProcess, postProcess, registerIfNotAlreadyRegistered, registerLazyIfNotAlreadyRegistered, registerWithSourceAndGeneratedBeanName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.springframework.data.repository.config.RepositoryConfigurationExtension

  `getModuleIdentifier, getRepositoryAotProcessor`

- ## Constructor Details

  - ### ReactiveNosqlRepositoryConfigurationExtension

    public ReactiveNosqlRepositoryConfigurationExtension()

- ## Method Details

  - ### getModuleName

    public String getModuleName()
    Specified by:
      `getModuleName` in interface `org.springframework.data.repository.config.RepositoryConfigurationExtension`
    Overrides:
      `getModuleName` in class `org.springframework.data.repository.config.RepositoryConfigurationExtensionSupport`

  - ### getModulePrefix

    public String getModulePrefix()
    Specified by:
      `getModulePrefix` in class `org.springframework.data.repository.config.RepositoryConfigurationExtensionSupport`

  - ### getRepositoryFactoryBeanClassName

    public String getRepositoryFactoryBeanClassName()

  - ### getIdentifyingTypes

    protected Collection<Class<?>> getIdentifyingTypes()
    Overrides:
      `getIdentifyingTypes` in class `org.springframework.data.repository.config.RepositoryConfigurationExtensionSupport`

  - ### getIdentifyingAnnotations

    protected Collection<Class<? extends Annotation>> getIdentifyingAnnotations()
    Overrides:
      `getIdentifyingAnnotations` in class `org.springframework.data.repository.config.RepositoryConfigurationExtensionSupport`

  - ### registerBeansForRoot

    public void registerBeansForRoot(org.springframework.beans.factory.support.BeanDefinitionRegistry registry, org.springframework.data.repository.config.RepositoryConfigurationSource config)
    Specified by:
      `registerBeansForRoot` in interface `org.springframework.data.repository.config.RepositoryConfigurationExtension`
    Overrides:
      `registerBeansForRoot` in class `org.springframework.data.repository.config.RepositoryConfigurationExtensionSupport`

  - ### postProcess

    public void postProcess(org.springframework.beans.factory.support.BeanDefinitionBuilder builder, org.springframework.data.repository.config.RepositoryConfigurationSource source)
    Specified by:
      `postProcess` in interface `org.springframework.data.repository.config.RepositoryConfigurationExtension`
    Overrides:
      `postProcess` in class `org.springframework.data.repository.config.RepositoryConfigurationExtensionSupport`

  - ### useRepositoryConfiguration

    protected boolean useRepositoryConfiguration(org.springframework.data.repository.core.RepositoryMetadata metadata)
    Overrides:
      `useRepositoryConfiguration` in class `org.springframework.data.repository.config.RepositoryConfigurationExtensionSupport`